Skip to main content
PUT
/
gift-card-services
/
{gift_card_service_id}
Update gift card service
using RestSharp;


var options = new RestClientOptions("https://api.sandbox.{id}.gr4vy.app/gift-card-services/{gift_card_service_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{}", false);
var response = await client.PutAsync(request);

Console.WriteLine("{0}", response.Content);
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://api.sandbox.{id}.gr4vy.app/gift-card-services/{gift_card_service_id}"

payload := strings.NewReader("{}")

req, _ := http.NewRequest("PUT", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.put("https://api.sandbox.{id}.gr4vy.app/gift-card-services/{gift_card_service_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.{id}.gr4vy.app/gift-card-services/{gift_card_service_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([

]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import requests

url = "https://api.sandbox.{id}.gr4vy.app/gift-card-services/{gift_card_service_id}"

payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};

fetch('https://api.sandbox.{id}.gr4vy.app/gift-card-services/{gift_card_service_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request PUT \
--url https://api.sandbox.{id}.gr4vy.app/gift-card-services/{gift_card_service_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'
{
  "type": "gift-card-service",
  "id": "6c020bf3-179b-4f4f-858d-84e39e196e0f",
  "merchant_account_id": "default",
  "gift_card_service_definition_id": "qwikcilver-gift-card",
  "display_name": "Qwikcilver UK",
  "active": true,
  "fields": [
    {
      "key": "secret_key",
      "value": "sk_test_26PHem9AhJZvU623DfE1x4sd"
    }
  ],
  "created_at": "2012-12-12T10:53:43+00:00",
  "updated_at": "2012-12-12T10:53:43+00:00"
}
{
"type": "error",
"code": "bad_request",
"status": 400,
"message": "Missing '****' field",
"details": [
{
"location": "body",
"type": "value_error.missing",
"pointer": "/payment_method/number",
"message": "field required"
}
]
}
{
"type": "error",
"code": "unauthorized",
"status": 401,
"message": "No valid API authentication found",
"details": []
}
{
"type": "error",
"code": "not_found",
"status": 404,
"message": "The resource could not be found",
"details": []
}
{
"type": "error",
"code": "duplicate_record",
"status": 409,
"message": "A duplicate record exists with this external_identifier value",
"details": []
}
This endpoint requires the gift-card-services.write scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

gift_card_service_id
string<uuid>
required

The unique ID of the gift card service.

Example:

"541b126f-44c5-4c5e-a06b-d0e0d54c7d3f"

Body

application/json

Request body for updating a gift card service.

display_name
string

A custom name for the gift card service. This will be shown in the Admin UI.

Required string length: 1 - 50
Example:

"Qwikcilver UK"

fields
object[]

A list of fields, each containing a key-value pair for each field defined by the definition for this gift card service.

active
boolean

Defines if this service is currently active or not.

Example:

true

Response

Returns the updated gift card service.

An configured gift card service.

type
enum<string>

The type of this resource.

Available options:
gift-card-service
Example:

"gift-card-service"

id
string<uuid>

The ID of this gift card service.

Example:

"6c020bf3-179b-4f4f-858d-84e39e196e0f"

merchant_account_id
string

The unique ID for a merchant account.

Example:

"default"

gift_card_service_definition_id
string

The ID of the gift card service definition used to create this service.

Required string length: 1 - 50
Example:

"qwikcilver-gift-card"

display_name
string

The custom name set for this service.

Required string length: 1 - 200
Example:

"Qwikcilver UK"

active
boolean

Defines if this service is currently active or not.

Example:

true

fields
object[]

A list of fields, each containing a key-value pair for each field configured for this gift card service. Fields marked as secret are not returned.

created_at
string<date-time>

The date and time when this service was created.

Example:

"2012-12-12T10:53:43+00:00"

updated_at
string<date-time>

The date and time when this service was last updated.

Example:

"2012-12-12T10:53:43+00:00"